#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-CVb9PRX736B3j2s7i687Ja
key:                  lsp-1.4.0.0-CVb9PRX736B3j2s7i687Ja
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  5dce48a090b9fa3dcc64233e11c20133
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-3Eaj4Cmo6CE94WECNpsVrq:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-3Eaj4Cmo6CE94WECNpsVrq:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-3Eaj4Cmo6CE94WECNpsVrq:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-3Eaj4Cmo6CE94WECNpsVrq:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-CVb9PRX736B3j2s7i687Ja
depends:
    aeson-2.1.2.1-2OMbY7JPF0J3MoL9ojqeUU
    async-2.2.5-15OfoiZvWuqFJ47Bsyq43l
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv exceptions-0.10.4
    hashable-1.4.3.0-FviSDMTOEDP4a4xPfq9DNL
    hslogger-1.3.1.0-CrvBSOH5FhxEg63UdGgFXg
    lens-5.2.3-KeZeMUPid9u5uuLXgSpPNR
    lsp-types-1.4.0.1-3Eaj4Cmo6CE94WECNpsVrq mtl-2.2.2
    network-uri-2.6.4.2-3gMYbGQJlUc8IDbI9FdqX8
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu
    scientific-0.3.7.0-WH9SJ5zQMb5m3f0O1VdGX
    sorted-list-0.2.2.0-AxoavAPtuHm16DwFyUepV9 stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-8KEpYsQ9zGXBRjdYU1dM21
    uuid-1.3.15-EdCvREczNPrGDMbcrjPMwt

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

